Share a note with an address
Only its author may. The person sees the note once they sign in with that address; the answer is the same whether or not the address has an account.
Only its author may. The person sees the note once they sign in with that address; the answer is the same whether or not the address has an account.
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
email*string
Match
^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Format
emailLength
length <= 254role*string
Value in
- "reader"
- "editor"
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/notes/string/share" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "role": "reader" }'{ "id": "string", "title": "string", "body": "string", "mine": true, "sharedWith": -9007199254740991, "updatedAt": "string", "can": { "VIEW_NOTE": true, "EDIT_NOTE": true, "SHARE_NOTE": true, "DELETE_NOTE": true }}